[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator *(Tmatrix2_extended, Tvector2_extended): Tvector2_extended

Give product of a two-dimendional extended precision matrix and vector

## Declaration

Source position: matrix.pp line 574

`operator operator *(Tmatrix2_extended, Tvector2_extended): Tvector2_extended(`
`const m: Tmatrix2_extended;`
`const v: Tvector2_extended`
`):Tvector2_extended;`

## Description

This operator allows you to multipy a two-dimensional extended precision matrices with a two dimensional extended precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.

Documentation generated on: Feb 26 2014